Subject: bug#27314: guix includes wrong directory in build environment

From: [email-masked] (Ludovic Courtès)
Date: Tue, 27 Jun 2017 15:42:00 +0200

Hi ng0,

ng0 <[email-masked]> skribis:

> Ludovic Courtès transcribed 0.9K bytes:
>> Hi ng0,
>> 
>> config.log reads this:
>> 
>> > configure:9394: gcc -c -I/gnu/store/5cbyk5gmw2gj017d02vyibz3v6rdldz7-gnunetgf-0.10.114b59076f/include -fno-strict-aliasing -Wall -g -O2	 -I/gnu/store/5cbyk5gmw2gj017d02vyibz3v6rdldz7-gnunetgf-0.10.114b59076f/include  conftest.c >&5
>> > In file included from /gnu/store/5cbyk5gmw2gj017d02vyibz3v6rdldz7-gnunetgf-0.10.114b59076f/include/gnunet/gnunet_util_lib.h:56:0,
>> >                  from conftest.c:44:
>> > /gnu/store/5cbyk5gmw2gj017d02vyibz3v6rdldz7-gnunetgf-0.10.114b59076f/include/gnunet/gnunet_crypto_lib.h:80:20: fatal error: gcrypt.h: No such file or directory
>> > compilation terminated.
>> 
>> I think this means that ‘gnunetgf’ should propagate libgcrypt.
>> 
>> I’m closing this bug because I think it’s a packaging issue and not the
>> bug suggested in the Subject line.
>> 
>> Thanks,
>> Ludo’.
>
> The thing here is that I am _not_ using gnunetgf for the package in question,
> I am using gnunet, from guix master. So from my perspective it is a bug and it
> is repeating every time.
>
> gnunetgf[2] inherits from gnunetg[1]
>
> 1: https://github.com/ng-0/guix_packages/blob/master/ng0/packages/gnunet.scm#L59
> 2: https://github.com/ng-0/guix_packages/blob/master/ng0/packages/gnunet.scm#L167
>
> and gnunetg inherits from gnunet but overrides most of the package definition.

Hey, this is not Guix code here.  :-)

I can only give guidance to debug this.  For instance, could you check
with “guix graph” whether the package graph really looks the way you
want?

Thanks,
Ludo’.